TableFile.h File Reference

Header file for Block and TableFile classes. More...

`#include <vector>`
`#include <set>`
`#include <rcsb/rcsb_types.h>`
`#include <rcsb/mapped_ptr_vector.h>`
`#include <rcsb/mapped_ptr_vector.C>`
`#include <rcsb/GenString.h>`
`#include <rcsb/ISTable.h>`
`#include <rcsb/Serializer.h>`
Include dependency graph for TableFile.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Block
| Public class that represents a data block, that contains tables. More...
class | TableFile
| Public class that represents a file composed of blocks with tables. More...

## Detailed Description

Header file for Block and TableFile classes.